.header {
    z-index: 800;
    background: $white;
    position: relative;

    &__wrap {
        height: rem(74);
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        width: rem(96);
        display: block;
        flex-shrink: 0;
    }

    &__actions {
        display: flex;
        align-items: center;
    }

    &__content {
        display: none;
    }

    &__search {
        display: none;
    }

    &__hamburger {
        font-size: 0;
        line-height: 1;
        outline: none;
        width: rem(36);
        height: rem(36);
        display: block;
        cursor: pointer;
        border-radius: 0;
        position: relative;
        background: $white;
        margin-left: rem(8);
        border: 1px solid $gray-200;

        &:after,
        &:before {
            left: 10px;
            width: 10px;
            height: 2px;
            z-index: 20;
            content: '';
            display: block;
            position: absolute;
            background: $purple;
            transition: .25s;
        }

        &:after {
            top: calc(50% - 6px)
        }

        &:before {
            top: calc(50% + 4px)
        }

        span {
            left: 10px;
            top: calc(50% - 1px);
            width: 15px;
            height: 2px;
            display: block;
            position: absolute;
            background: $purple;
        }
    }

    &__contact {
        font-size: 0;
        line-height: 0;

        &__item {

            &:not(:last-child) {
                margin-bottom: rem(8);
            }
        }
    }

    &__phone {
        color: $dark;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(16);
        white-space: nowrap;
        letter-spacing: 1.6px;
        display: inline-block;
        text-decoration-line: underline;

        &:hover {
            color: $dark;
            text-decoration: none;
        }
    }

    &__whatsapp {
        fill: $purple;
        color: $purple;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(14);
        white-space: nowrap;
        text-decoration: none;
        display: inline-flex;
        align-items: center;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(16);
            margin-right: rem(8);
            display: inline-block;
        }

        span {
            display: inline-block;
        }
    }

    &__buttons {
        margin-left: rem(64);
        display: flex;
        align-items: center;
    }

    &__button {
        border: none;
        outline: none;
        fill: $dark;
        color: $purple;
        display: block;
        width: rem(48);
        height: rem(52);
        cursor: pointer;
        position: relative;
        text-decoration: none;
        background: transparent;
        transition: .25s;

        &:not(:last-child) {
            margin-right: rem(15);
        }

        &--favorite {
            width: rem(54);
        }

        i {
            left: 0;
            bottom: 0;
            font-size: 0;
            line-height: 0;
            height: rem(24);
            display: inline-block;
            position: absolute;
        }

        span {
            top: 0;
            right: 0;
            width: rem(30);
            height: rem(30);
            color: $purple;
            font-weight: 600;
            font-size: rem(12);
            line-height: rem(14);
            border-radius: 50%;
            background: #F9FBF9;
            position: absolute;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        &:hover {
            fill: $purple;
            color: $purple;
            text-decoration: none;
            transition: .25s;
        }
    }

    &__catalog {
        position: relative;
    }

    &__city {
        display: none;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(14);
        padding-bottom: rem(24);
        box-shadow: 0px 4px 100px 0px #F1F1F1;

        &__wrap {
            height: auto;
            flex-wrap: wrap;
        }

        &__hamburger {
            display: none;
        }

        &__logo {
            width: rem(167px);
        }

        &__catalog {
            flex-shrink: 0;
            margin-right: rem(30);
        }

        &__actions {
            width: 100%;
            padding-top: rem(28);
        }

        &__search {
            flex-grow: 1;
            display: block;
        }

        &__content {
            display: flex;
            align-items: flex-end;
        }

        &__city {
            display: block;
            margin-left: rem(38);
        }
    }

    @include media-breakpoint-up(lg) {

    }

    @include media-breakpoint-up(xl) {
        padding: 0;

        &__wrap {
            height: rem(114);
            flex-wrap: nowrap;
        }

        &__logo {
            order: 1;
            top: -5px;
            position: relative;
            margin-right: rem(32);
        }

        &__content {
            order: 3;
        }

        &__actions {
            order: 2;
            padding-top: 0;
            margin-right: rem(32);
        }

        &__buttons {
            margin-left: rem(32);
        }

        &__button {

            span {
                background: #F9FBF9;
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__logo {
            margin-right: rem(56);
        }

        &__catalog {
            margin-right: rem(64);
        }

        &__actions {
            margin-right: rem(52);
        }

        &__buttons {
            margin-left: rem(70);
        }

        &__city {
            margin-left: rem(50);
        }
    }
}

.btn-catalog {
    height: rem(36);
    position: relative;
    letter-spacing: 1.1px;
    padding: rem(8) rem(16);

    &.open {
        z-index: 600;

        i {
            position: relative;

            &:after,
            &:before {
                top: 50%;
                left: calc(50% - 8px);
                content: '';
                width: 16px;
                height: 1px;
                display: block;
                position: absolute;
                background: rgba(255,255,255,0.5);
            }

            &:after {
                transform: rotate(-45deg);
            }

            &:before {
                transform: rotate(45deg);
            }

            svg {
                opacity: 0;
                visibility: hidden;
            }
        }
    }

    i {
        display: none;

        + span {
            margin-left: 0;
        }
    }

    @include media-breakpoint-up(md) {
        height: rem(60);
        font-size: rem(12);
        min-width: rem(232);
        padding: rem(8) rem(30);

        i {
            height: rem(15);
            display: inline-block;

            + span {
                margin-left: rem(12);
            }
        }
    }
}

.header-city {
    height: rem(60);
    padding-top: rem(12);
    line-height: 125%;
    font-size: rem(12);

    &__label {
        color: #828282;
        font-size: rem(12);
        margin-bottom: rem(8);
    }

    &__switcher {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        fill: $purple;
        color: #1B1B20;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(11);
        cursor: pointer;
        white-space: nowrap;
        background: transparent;
        text-transform: uppercase;
        display: inline-flex;
        align-items: center;

        span {
            display: inline-block;
        }

        i {
            height: 5px;
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            display: inline-block;
            margin-left: rem(12);
        }
    }

    @include media-breakpoint-up(xl) {

        &__label {
            font-size: rem(14);
        }
    }
}
